PUT profile/{userId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| userId | integer |
Required |
Body Parameters
ProfileUpdateDto| Name | Description | Type | Additional information |
|---|---|---|---|
| firstName | string |
None. |
|
| lastName | string |
None. |
|
| phone | string |
None. |
|
| picture | string |
None. |
|
| cityId | integer |
None. |
|
| fatherName | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"firstName": "sample string 1",
"lastName": "sample string 2",
"phone": "sample string 3",
"picture": "sample string 4",
"cityId": 1,
"fatherName": "sample string 5"
}
application/xml, text/xml
Sample:
<ProfileUpdateDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/projectalminha.Controllers"> <cityId>1</cityId> <fatherName>sample string 5</fatherName> <firstName>sample string 1</firstName> <lastName>sample string 2</lastName> <phone>sample string 3</phone> <picture>sample string 4</picture> </ProfileUpdateDto>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.